package seng302.Model;

/**
 * Represents an individual mark.
 * Has a source ID, name, and position.
 */
public class Mark {

    /**
     * The source ID of the mark.
     */
    private int sourceID;

    /**
     * The name of the mark.
     */
    private String name;

    /**
     * The position of the mark.
     */
    private GPSCoordinate position;



    /**
     * Constructs a mark with a given source ID, name, and position.
     * @param sourceID The source ID of the mark.
     * @param name The name of the mark.
     * @param position The position of the mark.
     */
    public Mark(int sourceID, String name, GPSCoordinate position) {
        this.sourceID = sourceID;
        this.name = name;
        this.position = position;
    }


    /**
     * Returns the name of the mark.
     * @return The name of the mark.
     */
    public String getName() {
        return name;
    }

    /**
     * Returns the source ID of the mark.
     * @return The source ID of the mark.
     */
    public int getSourceID() {
        return sourceID;
    }

    /**
     * Returns the position of the mark.
     * @return The position of the mark.
     */
    public GPSCoordinate getPosition() {
        return position;
    }


}
